EDIT - task #9666

cdm_tokens module
06/11/2021 04:59 PM - Andreas Kohlbecker

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.25
Severity: normal
Description
This module will provide Drupal tokens:
cdm:taxon_name
cdm:taxon_name:uninomial
cdm:taxon_name:epithet
etc ....
This is the base for more flexibility in the external links module #9659
On Drupal tokens, please see
e https://www.oliverdavies.uk/blog/creating-using-custom-tokens-drupal-7
¢ chained tokens at the example of the comments module
o List of Tokens
Related issues:
Related to EDIT - task #9659: External Links Module reimplemented for flexibl... Closed

Associated revisions

Revision 1702d40c - 06/11/2021 05:00 PM - Andreas Kohlbecker

ref #9666 get_current_name_uuid() in cdm_dataportal

Revision ca1ab005 - 06/11/2021 05:40 PM - Andreas Kohlbecker

ref #9666 cdm_tokens module implemented

Revision 5e971c04 - 06/14/2021 04:11 PM - Andreas Kohlbecker

ref #9666 adding is{rankLevel} to term serialization for cdm_tokens

Revision 580cd817 - 06/14/2021 04:39 PM - Andreas Kohlbecker

ref #9666 more cdm:taxon_name tokens

Revision 09¢59988 - 06/14/2021 05:25 PM - Andreas Kohlbecker
ref #9666 bug fix in cdm_tokens

Revision 395b1b10 - 06/16/2021 01:03 PM - Andreas Kohlbecker

ref #9666 save access to unset name properties

History

#1 - 06/11/2021 04:59 PM - Andreas Kohlbecker

- Related to task #9637: overcome mixed use of pageNumber and pagelndex added

#2 - 06/11/2021 06:16 PM - Andreas Kohlbecker

- Related to deleted (task #9637: overcome mixed use of pageNumber and pagelndex)
https://dev.e-taxonomy.eu/redmine/issues/9659
https://www.oliverdavies.uk/blog/creating-using-custom-tokens-drupal-7
https://api.drupal.org/api/drupal/modules%21comment%21comment.tokens.inc/function/comment_tokens/7.x
https://www.drupal.org/node/390482

#3 - 06/11/2021 06:16 PM - Andreas Kohlbecker

- Description updated

#4 - 06/11/2021 06:16 PM - Andreas Kohlbecker

- Related to task #9659: External Links Module reimplemented for flexible configuration added

#5 - 06/30/2021 01:27 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100

test will be implemented for this module and for ext_inks commonly #9659
https://dev.e-taxonomy.eu/redmine/issues/9659
http://www.tcpdf.org

